import { clear, successLog } from './utils/console.js';
import PackageManager from './packageManager.js';
import copyProjectFiles from './utils/file.js';
import selectOptions from './utils/prompt.js';

async function create(projectName) {
  clear();
  const type = await selectOptions(projectName);
  clear();
  await copyProjectFiles(projectName);
  const packageManager = PackageManager;
  packageManager.init(projectName);
  packageManager.addModules(type);
  await packageManager.install();
  successLog(projectName);
}

export default create;
