import ncp from 'ncp';
import path from 'path';
import { appRootPath } from './path.js';

const copyProjectFiles = (projectName) => new Promise((resolve, reject) => {
  const source = path.join(appRootPath, './libs/default');
  const options = {
    clobber: true,
    stopOnErr: true,
  };
  ncp.limit = 16;
  ncp(source, projectName, options, (err) => {
    if (err) reject(err);
    resolve();
  });
});

export default copyProjectFiles;
